# Reference

## boost::redis::config

Configure parameters used by the connection classes.

### Synopsis

Declared in `<boost/redis/config.hpp>`

    struct config;

### Data Members

Name | Description
`use_ssl` | Uses SSL instead of a plain connection.
`addr` | For TCP connections, hostname and port of the Redis server.
`unix_socket` | The UNIX domain socket path where the server is listening.
`username` | Username passed to the `HELLO` command. If left empty `HELLO` will be sent without authentication parameters.
`password` | Password passed to the `HELLO` command. If left empty `HELLO` will be sent without authentication parameters.
`clientname` | Client name parameter of the `HELLO` command.
`database_index` | Database that will be passed to the `SELECT` command.
`health_check_id` | Message used by the health‐checker in `boost::redis::basic_connection::async_run`.
`log_prefix` | (Deprecated) Sets the logger prefix, a string printed before log messages.
`resolve_timeout` | Time span that the resolve operation is allowed to elapse.
`connect_timeout` | Time span that the connect operation is allowed to elapse.
`ssl_handshake_timeout` | Time span that the SSL handshake operation is allowed to elapse.
`health_check_interval` | Time span between successive health checks. Set to zero to disable health‐checks pass zero as duration.
`reconnect_wait_interval` | Time span to wait between successive connection retries. Set to zero to disable reconnection.
`max_read_size` | Maximum size of a socket read, in bytes.

Created with MrDocs